
// javascriptの配列をそのまま返すと遅いので
// Comparable[]に変換しておく
// undefinedはnullに変換される
function toComparable(raw) {
	var ret = java.lang.reflect.Array.newInstance(java.lang.Comparable, raw.length);
	for(var i=0; i<raw.length; ++i) {
		if(raw[i] == null) {
			ret[i] = null;
		}
		else {
			ret[i] = raw[i].toString();
		}
	}
	return ret;
}

function header() {
	return [ "火力", "命中", "射程", "運", "回避", "爆装", "雷装", "索敵", "対潜", "対空", "装甲" ];
}

function begin() { }

function body(data) {
	var param = data.info.param;
	return toComparable([
					param.houg, param.houm, param.leng, param.luck,
					param.houk, param.baku, param.raig, param.saku,
					param.tais, param.tyku, param.souk ]);
}

function end() { }
