
// javascriptの配列をそのまま返すと遅いので
// Comparable[]に変換しておく
// undefinedはnullに変換される
function toComparable(raw) {
	var ret = java.lang.reflect.Array.newInstance(java.lang.Comparable, raw.length);
	for(var i=0; i<raw.length; ++i) {
		if(raw[i] == null) {
			ret[i] = null;
		}
		else {
			ret[i] = raw[i].toString();
		}
	}
	return ret;
}


function header() {
	return [ "名称", "種別", "個数", "施錠" ];
}

function begin() { }

function body(data) {

	var locked = 0
	for each (var item in data.items.toArray()) {
		if(item.locked) {
			++locked;
		}
	}

	return toComparable([
					data.info.name,
					data.info.typeName,
					data.items.size(),
					locked | 0 ]);
}

function end() { }
