
// javascriptの配列をそのまま返すと遅いので
// Comparable[]に変換しておく
// undefinedはnullに変換される
function toComparable(raw) {
	var ret = java.lang.reflect.Array.newInstance(java.lang.Comparable, raw.length);
	for(var i=0; i<raw.length; ++i) {
		if(raw[i] == null) {
			ret[i] = null;
		}
		else {
			ret[i] = raw[i].toString();
		}
	}
	return ret;
}


function header() {
	return [ "改造可能" ];
}

function begin(specdiff) { }

function body(ship) {

	var afterlv = ship.shipInfo.afterlv;
	var canRemodel = (afterlv > 0) && (ship.lv >= afterlv);

	return toComparable([ canRemodel ? "可能" : null ]);
}

function end() { }
